# coding: utf-8
"""
Async
=================

Questo modulo fornisce alcune interfacce semplici per gestire l'esecuzione di 
task in background ed in particolare la visualizzazione della progressione 
dello stato degli stessi tramite una pagina dell'admin.

.. image:: images/preview.png
   :align: right

Lo stato dei singoli task è noto a celery e scritto nel ``CELERY_DATABASE_BACKEND`` 
che e` ``amqp`` per default di ``celery`` sovrascritto e ``django://`` in ``jmb.async``.

Il broker e` in vece il modo in cui celery riceve le istruzioni di cosa eseguire 
ed e` definito in ``BROKER_URL``, che è sempre ``amqp`` per ``celery`` e 
'djcelery.backends.database:DatabaseBackend' in ``jmb.async``.

"""
from jmb.core.conf import inject_app_defaults

inject_app_defaults(__name__)

