# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
from django.conf import settings
import jmb.core.db.fields


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('title', models.CharField(max_length=255, verbose_name='title')),
                ('task_id', models.CharField(max_length=50, verbose_name='task id')),
                ('app_label', models.CharField(max_length=255, null=True, verbose_name='app label', blank=True)),
                ('status', models.CharField(blank=True, max_length=10, null=True, verbose_name='status', choices=[(b'RECEIVED', b'RECEIVED'), (b'RETRY', b'RETRY'), (b'REVOKED', b'REVOKED'), (b'STARTED', b'STARTED'), (b'PENDING', b'PENDING'), (b'PROGRESS', b'PROGRESS'), (b'SUCCESS', b'SUCCESS'), (b'FAILURE', b'FAILURE')])),
                ('url', models.CharField(max_length=255, null=True, verbose_name='url', blank=True)),
                ('message', jmb.core.db.fields.HTMLField(null=True, verbose_name='message', blank=True)),
                ('creator', models.ForeignKey(related_name='async_task_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='async_task_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'verbose_name': 'Task',
                'verbose_name_plural': 'Tasks',
            },
        ),
    ]
